Subject: bug#8935: 24.0.50; `substitute-command-keys' doc

From: Stefan Monnier <[email-masked]>
Date: Mon, 18 Jul 2011 09:55:00 -0400

>> It has no special effect on special character combinations such as `\['
>> and `\='.  If you really want to say something about escaping `\' as
>> the next character then I suppose you could: "In particular, `\=\'
>> produces `\' in the output.
> This is wrong, because \ by itself has no special meaning, so you don't
> need to precede it by \=.

Actually \ does have a special meaning, which depends on the following
char (just like \ in regexps).  The difference between that and regexps
is that in regexp \<char> turns into just <char> when \<char> has no
special meaning, where it turns into \<char> here.

        Stefan